Aller au contenu
Esc
↑↓naviguer↵ouvrir⌘Japerçu

List contact topics

GET/contacts/{id}/topics
Autorisation
AuthorizationJeton Bearer · headerrequis

A BillionSend API key (bs_…).

Paramètres de chemin
idstringrequis
longueur min 1
Réponses
200

Every topic of the team with the contact's effective subscription and whether it was chosen explicitly

objectstringrequis
Valeurs autorisées :list
dataobject[]requis
Afficher les propriétés
Tableau de object
idstring<uuid>requis
namestringrequis
descriptionstring | nullrequis
subscriptionstringrequis

Effective choice: the contact's explicit one, else the topic's default

Valeurs autorisées :opt_inopt_out
explicitbooleanrequis

True when the contact or the API chose this; false when it is the topic's default

visibilitystringrequis

The hosted preference page lists public topics only

Valeurs autorisées :publicprivate
has_morebooleanrequis
Valeurs autorisées :false
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequis
namestringrequis
messagestringrequis
404

Not found

statusCodenumberrequis
namestringrequis
messagestringrequis
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequis
namestringrequis
messagestringrequis
Essayer
Serveur
Autorisation
Paramètres
Requête
curl -X GET 'https://api.billionsend.com/contacts/string/topics' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Réponse
{
  "object": "list",
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "subscription": "opt_in",
      "explicit": true,
      "visibility": "public"
    }
  ],
  "has_more": false
}

Cette page vous a-t-elle été utile ?